レッスン要素タイプ一覧
curl --request GET \
--url https://api.utage-system.com/v1/element-types/lessonimport requests
url = "https://api.utage-system.com/v1/element-types/lesson"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.utage-system.com/v1/element-types/lesson', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/element-types/lesson",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/element-types/lesson"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/element-types/lesson")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/element-types/lesson")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"children_types": [
"<string>"
]
}
]
}要素・タイプリファレンス
レッスン要素タイプ一覧
会員サイトのレッスン(コンテンツエディター)の要素タイプ一覧を取得します(認証不要)。
レッスンの要素はレイアウト要素(layout: section / row / col)とコンテンツ要素(content)だけで、拡張カテゴリはありません(include の指定は不要です)。
ファネルページとは使える要素・プロパティが異なります(例: memo はレッスン専用、登録フォーム・決済などの要素は使えません)。レッスンの作成・更新の前にこちらを参照してください。
各要素のプロパティ定義は GET /element-types/lesson/properties で取得します。
レッスン要素タイプ一覧
curl --request GET \
--url https://api.utage-system.com/v1/element-types/lessonimport requests
url = "https://api.utage-system.com/v1/element-types/lesson"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.utage-system.com/v1/element-types/lesson', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/element-types/lesson",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/element-types/lesson"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/element-types/lesson")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/element-types/lesson")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>",
"children_types": [
"<string>"
]
}
]
}